# Shared Types

- [Y.Map](https://docs.yjs.dev/api/shared-types/y.map.md): A shared type with a similar API to global.Map
- [Y.Array](https://docs.yjs.dev/api/shared-types/y.array.md): A shared type to store data in a sequence-like data structure
- [Y.Text](https://docs.yjs.dev/api/shared-types/y.text.md): A shared type that represents Text & RichText
- [Y.XmlFragment](https://docs.yjs.dev/api/shared-types/y.xmlfragment.md): A shared type to manage a collection of Y.Xml\* Nodes
- [Y.XmlElement](https://docs.yjs.dev/api/shared-types/y.xmlelement.md): A shared type that represents an XML node
- [Y.XmlText](https://docs.yjs.dev/api/shared-types/y.xmltext.md): Extends Y.Text to represent a Y.Xml node.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yjs.dev/api/shared-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
